<div class="container" [class.-is-mobile]="mobileQuery.matches">
  <mat-toolbar color="primary" class="toolbar">
    <button mat-icon-button (click)="snav.toggle()"><mat-icon>menu</mat-icon></button>
    <div class="btn">
      <button mat-raised-button color="accent" (click)="onSignupClick()" *ngIf="!logedIn()">SIGN UP</button>
      <button mat-raised-button color="accent" (click)="onLoginClick()" *ngIf="!logedIn()">LOGIN</button>
      <span>
        {{title}}
      </span>
      <button mat-raised-button color="warn" (click)="onLogoutClick()" *ngIf="logedIn()">LOG OUT</button>
    </div>
  </mat-toolbar>

  <mat-sidenav-container class="sidenav-container" [style.marginTop.px]="mobileQuery.matches ? 56 : 0">
    <mat-sidenav #snav [mode]="mobileQuery.matches ? 'over' : 'side'" [fixedInViewport]="mobileQuery.matches">
      <mat-nav-list>
        <a mat-list-item routerLink="">Addresses</a>
        <a mat-list-item routerLink="/add">Add Address</a>
        <a mat-list-item routerLink="/favorite">Favorite Address</a>
      </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content>
      <router-outlet></router-outlet>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
